# VarsTopo Class Reference

`#include <TestTopOpe_VarsTopo.hxx>`

## Public Member Functions

| VarsTopo ()
void | Init ()
void | SetTolxDef ()
void | SetTolx (const Standard_Real tol3x, const Standard_Real tol2x)
void | GetTolx (Standard_Real &tol3x, Standard_Real &tol2x) const
void | SetToliDef ()
void | SetToli (const Standard_Real tolarc, const Standard_Real toltan)
void | GetToli (Standard_Real &tolarc, Standard_Real &toltan) const
Standard_Boolean | GetForceToli () const
void | SetClear (const Standard_Boolean b)
Standard_Boolean | GetClear () const
void | SetOCT (char *namoct)
void | SetOCT (const TopOpeBRepTool_OutCurveType oct)
TopOpeBRepTool_OutCurveType | GetOCT () const
void | SetC2D (char *namoct)
void | SetC2D (const Standard_Boolean c2d)
Standard_Boolean | GetC2D () const
void | DumpOCT (Standard_OStream &) const
void | DumpC2D (Standard_OStream &) const
void | DumpTolx (Standard_OStream &) const
void | DumpToli (Standard_OStream &) const
void | DumpMode (Standard_OStream &) const
void | DumpVerbose (Standard_OStream &) const
void | DumpClear (Standard_OStream &) const
void | Dump (Standard_OStream &) const
void | SetMode (const Standard_Integer mode)
Standard_Integer | GetMode () const
void | SetVerbose (const Standard_Integer mode)
Standard_Integer | GetVerbose () const

## Private Attributes

TopOpeBRepTool_OutCurveType | myOCT
Standard_Boolean | myC2D
Standard_Real | mytol3xdef
Standard_Real | mytol2xdef
Standard_Real | mytol3x
Standard_Real | mytol2x
Standard_Boolean | myforcetoli
Standard_Real | mytolarc
Standard_Real | mytoltan
Standard_Boolean | myclear
Standard_Integer | myexecmode
Standard_Integer | myverbmode

## Constructor & Destructor Documentation

VarsTopo::VarsTopo | ( |  | ) |

## Member Function Documentation

void VarsTopo::Dump | ( | Standard_OStream & |  | ) | const

void VarsTopo::DumpC2D | ( | Standard_OStream & |  | ) | const

void VarsTopo::DumpClear | ( | Standard_OStream & |  | ) | const

void VarsTopo::DumpMode | ( | Standard_OStream & |  | ) | const

void VarsTopo::DumpOCT | ( | Standard_OStream & |  | ) | const

void VarsTopo::DumpToli | ( | Standard_OStream & |  | ) | const

void VarsTopo::DumpTolx | ( | Standard_OStream & |  | ) | const

void VarsTopo::DumpVerbose | ( | Standard_OStream & |  | ) | const

Standard_Boolean VarsTopo::GetC2D | ( |  | ) | const

Standard_Boolean VarsTopo::GetClear | ( |  | ) | const

Standard_Boolean VarsTopo::GetForceToli | ( |  | ) | const

Standard_Integer VarsTopo::GetMode | ( |  | ) | const

TopOpeBRepTool_OutCurveType VarsTopo::GetOCT | ( |  | ) | const

void VarsTopo::GetToli | ( | Standard_Real & | tolarc,
|  | Standard_Real & | toltan
| ) | const

void VarsTopo::GetTolx | ( | Standard_Real & | tol3x,
|  | Standard_Real & | tol2x
| ) | const

Standard_Integer VarsTopo::GetVerbose | ( |  | ) | const

void VarsTopo::Init | ( |  | ) |

void VarsTopo::SetC2D | ( | const Standard_Boolean | c2d | ) |

void VarsTopo::SetC2D | ( | char * | namoct | ) |

void VarsTopo::SetClear | ( | const Standard_Boolean | b | ) |

void VarsTopo::SetMode | ( | const Standard_Integer | mode | ) |

void VarsTopo::SetOCT | ( | const TopOpeBRepTool_OutCurveType | oct | ) |

void VarsTopo::SetOCT | ( | char * | namoct | ) |

void VarsTopo::SetToli | ( | const Standard_Real | tolarc,
|  | const Standard_Real | toltan
| ) |

void VarsTopo::SetToliDef | ( |  | ) |

void VarsTopo::SetTolx | ( | const Standard_Real | tol3x,
|  | const Standard_Real | tol2x
| ) |

void VarsTopo::SetTolxDef | ( |  | ) |

void VarsTopo::SetVerbose | ( | const Standard_Integer | mode | ) |

## Field Documentation

Standard_Boolean VarsTopo::myC2D `[private]`

Standard_Boolean VarsTopo::myclear `[private]`

Standard_Integer VarsTopo::myexecmode `[private]`

Standard_Boolean VarsTopo::myforcetoli `[private]`

TopOpeBRepTool_OutCurveType VarsTopo::myOCT `[private]`

Standard_Real VarsTopo::mytol2x `[private]`

Standard_Real VarsTopo::mytol2xdef `[private]`

Standard_Real VarsTopo::mytol3x `[private]`

Standard_Real VarsTopo::mytol3xdef `[private]`

Standard_Real VarsTopo::mytolarc `[private]`

Standard_Real VarsTopo::mytoltan `[private]`

Standard_Integer VarsTopo::myverbmode `[private]`

The documentation for this class was generated from the following file:

- TestTopOpe_VarsTopo.hxx